﻿
* {
    margin: 0;
    padding: 0;
    text-decoration: none;
    outline: none;
    list-style: none
}

html, #form1, #app {
    height: 100%;
}

iframe {
    width: 100%;
    height: 100%;
    border: 0;
}

[v-cloak] {
    display: none !important
}

caption, th {
    text-align: inherit
}

ul, ol, menu {
    list-style: none
}

fieldset, img {
    border: 0
}
img {
    /*object-fit: contain;*/
    max-width: 100%;
    max-height: 100%;
}
img, object, input, textarea, button, select {
    vertical-align: middle
}

textarea {
    overflow: auto;
    resize: vertical
}

input, textarea, button, select, a {
    outline: 0 none;
    border: none;
}

mark {
    background-color: transparent
}

a, ins, s, u, del {
    text-decoration: none;
    color: #666;
}
    a:hover {
        color: var(--theme-color);
    }
.main-color-hover:hover {
    color: var(--theme-color);
    border-color: var(--theme-color);
}

    sup, sub {
        vertical-align: baseline
    }

a {
    text-decoration: none;
}

body {
    background: #F2F2F2;
    font-size: 12px;
    margin: 0;
    padding: 0;
    color: #666;
    height: 100%;
}
form {
    height: 100%;
    overflow: auto;
}

.border-1 {
    border-width: 1px;
    border-style: solid;
}
.border-2 {
    border-width: 2px;
    border-style: solid;
}

.border-none {
    border: none;
}
    .border-none textarea {
        border: none;
    }

.main-width-1400 {
    width: 1400px;
    margin: auto
}

.height-100 {
    height: 100%
}

.width-100 {
    width: 100%
}

.border-radius-50 {
    border-radius: 50%
}

.margin-auto {
    margin: auto
}

.fw6 {
    font-weight: 600;
}

.display-block {
    display: block
}

.display-none {
    display: none;
}

.line-through-text {
    text-decoration: line-through;
}

.border-right-1 {
    border-right: 1px solid #D7D7D7;
}

    .border-right-1:nth-child(5n) {
        border-right: none;
    }


.border-left-1 {
    border-left: 1px solid rgba(187, 187, 187, 0.24);
}


.main-width-1200 {
    width: 1200px;
    margin: auto
}
.m-r-auto {
    margin-right:auto
}
.cursor-pointer {
    cursor: pointer;
}


.select-box {
    width: 20px;
    height: 20px;
    line-height: 26px;
    border: 1px solid #D7D7D7;
    background-color: #fff;
    position: relative;
    cursor: pointer;
    border-radius: 50%;
}

.select-box-active {
    border: 1px solid #FF7142;
    background-color: #FF7142;
}


    .select-box-active::before {
        position: absolute;
        content: " ";
        width: 4px;
        height: 9px;
        transform: rotate(45deg);
        border-right: 2px solid #fff;
        border-bottom: 2px solid #fff;
        top: 2px;
        left: 6px;
    }

.color-fff:hover {
    color: #fff
}


/*element*/
.el-table {
    font-size:12px;
}
.el-button + .el-button, .el-checkbox.is-bordered + .el-checkbox.is-bordered {
    margin-left: 0
}
sup.el-badge__content.is-fixed {
    padding-left: 4px;
    padding-right: 4px;
    line-height: 1.4;
    z-index:10;
}

.el-button--primary.is-plain {
    color: var(--theme-color);
    background: var(--theme-color-02);
    border-color: var(--theme-color);
}
.el-link.el-link--primary:hover, .el-link.el-link--primary {
    color: var(--theme-color);
}
    .el-link.el-link--default:after, .el-link.el-link--primary.is-underline:hover:after, .el-link.el-link--primary:after {
        border-color: var(--theme-color);
    }

.el-button.is-plain:focus, .el-button.is-plain:hover {
    color: #fff;
    border-color: var(--theme-color);
    color: var(--theme-color);
}
.el-button--primary.is-plain:focus, .el-button--primary.is-plain:hover {
    background: var(--theme-color);
    border-color: var(--theme-color);
    color: #FFF;
}
.el-button--info.is-plain:focus, .el-button--info.is-plain:hover {
    background: #909399;
    border-color: #909399;
    color: #FFF;
}
.el-table__fixed, .el-table__fixed-left td, .el-table__fixed-right td {
    pointer-events: auto;
}

.el-table__fixed, .el-table__fixed-left, .el-table__fixed-right {
    pointer-events: none;
}
.app-loading-mask {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background-color: #f4f7f9;
    z-index: 9999;
}

.app-loading {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    background-color: #f4f7f9;
}

    .app-loading .app-loading-wrap {
        display: flex;
        position: absolute;
        top: 50%;
        left: 50%;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        transform: translate3d(-50%, -50%, 0);
    }

    .app-loading .app-loading-logo {
        display: block;
        /*width: 90px;*/
        margin: 0 auto;
        margin-bottom: 20px;
    }

    .app-loading .app-loading-title {
        display: flex;
        align-items: center;
        justify-content: center;
        margin-top: 30px;
        color: rgb(0 0 0 / 85%);
        font-size: 30px;
    }

.dot {
    display: inline-block;
    position: relative;
    box-sizing: border-box;
    width: 48px;
    height: 48px;
    margin-top: 30px;
    transform: rotate(45deg);
    animation: ant-rotate 1.2s infinite linear;
    font-size: 32px;
}


    .dot i:first-child {
        top: 0;
        left: 0;
    }

    .dot i:nth-child(2) {
        top: 0;
        right: 0;
        animation-delay: .4s;
    }

    .dot i:nth-child(3) {
        right: 0;
        bottom: 0;
        animation-delay: .8s;
    }

    .dot i:nth-child(4) {
        bottom: 0;
        left: 0;
        animation-delay: 1.2s;
    }

    .dot i {
        display: block;
        position: absolute;
        width: 20px;
        height: 20px;
        transform: scale(.75);
        transform-origin: 50% 50%;
        animation: ant-spin-move 1s infinite linear alternate;
        border-radius: 100%;
        opacity: .3;
        background-color: #0065cc;
    }

@keyframes ant-rotate {
    to {
        transform: rotate(405deg)
    }
}

@keyframes ant-spin-move {
    to {
        opacity: 1
    }
}
.masking-out {
    position: fixed;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: calc(infinity);
}

.text-tip {
    background: rgba(0,0,0,.7);
    color: #fff;
    padding: 10px 20px;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    border-radius: 0.05rem;
    display: none;
    z-index: 999999;
    font-size: 14px;
    text-align: center;
    word-wrap: break-word;
    word-break: break-all;
    letter-spacing: 1px;
    z-index: calc(infinity) !important;
}
.cursor-pointe {
    cursor: pointer;
}
.el-loading-mask {
    background-color: rgba(0, 0, 0, 0) !important;
}

.search-box select, .search-box input {
    border: none
}

.search-box .custom-select {
    position: relative;
    min-width: 80px;
    height: 90%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.search-box .select-input,.search-box .select-input::placeholder {
    font-size: 14px;
}
.search-box .select-selected {
    background-color: #fff;
    color: #333;
    border: none;
    padding: 5px 10px 5px 20px;
    margin-left: 6px;
    cursor: pointer;
    color: #101010;
    font-size: 14px;
    flex: 1;
    text-align: left;
    font-weight: 600;
}

    .search-box .select-selected:after {
        position: absolute;
        content: "";
        top: 50%;
        right: 10px;
        transform: translateY(-50%);
        width: 0;
        height: 0;
        border: solid transparent;
        border-width: 0 1px 1px;
        pointer-events: none;
    }

.search-box .select-items {
    color: #333;
    position: absolute;
    background-color: #fff;
    border-top: none;
    top: 100%;
    left: 0;
    right: 0;
    z-index: 1;
    visibility: hidden;
    padding: 5px;
    opacity: 0;
    border-radius: 4px;
    box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.1);
    transition: visibility 0s, opacity 0.5s linear;
}

.search-box .select-items-shop-active .select-history,
.search-box .select-items-platform-active .select-items {
    visibility: visible;
    opacity: 1;
}

.search-box .select-items div {
    cursor: pointer;
    font-size: 12px;
    color: #606266;
    min-height: 34px;
    cursor: pointer;
    padding: 2px 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .search-box .select-items div:hover {
        background-color: #f5f7fa;
    }
.search-triangle {
    position: relative;
    display: inline-flex;
    align-items: center;
    cursor: pointer;
    height: 100%;
}
.search-box .select-items-platform-active .search-triangle {
    transform: rotate(180deg);
}

input[type=checkbox] {
    width: 13px;
    height: 13px;
    position: relative;
    cursor: pointer;
    margin-right: 10px;
    border-radius: 3px;
}

    input[type=checkbox]:before {
        content: "";
        display: block;
        position: absolute;
        width: 10px;
        height: 10px;
        top: 0;
        left: 0;
        border: 2px solid #ccc;
        border-radius: 2px;
        background-color: #fff;
    }

    input[type=checkbox]:checked::before {
        background: var(--theme-color);
        border-color: var(--theme-color);
    }

    input[type=checkbox]:checked::after {
        content: "";
        display: block;
        width: 5px;
        height: 10px;
        border: solid #fff;
        border-width: 0 2px 2px 0;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
        position: absolute;
        top: 0px;
        left: 4px;
        scale: 0.7;
    }

.layui-layer-title {
    font-weight:600
}

.el-textarea__inner {
    font-family: "微软雅黑";
}

#iframe-box *::-webkit-scrollbar {
    display: none;
}

.el-table--scrollable-y .el-table__body-wrapper {
    height: 100% !important;
}
.el-table .el-table__cell.is-hidden > *,
.el-table .el-table__cell .el-checkbox__original {
    visibility: initial;
}

.width-fit-content {
    width: fit-content
}

#app {
    min-height: 903px;
}

#app .el-table__body-wrapper.is-scrolling-none {
    height: auto !important
}